MDAC 2.6 或更高版本不应该安装到 SQL Server 7.0 群集中

本文已归档。它按“原样”提供,并且不再更新。
概要
不要将 Microsoft 数据访问组件 (MDAC) 2.6 或更高版本安装到任何 SQL Server 7.0 群集节点上。如果您将 MDAC 2.6 或更高版本安装到群集中的任何节点上,不管是直接安装还是通过另一程序安装,都可能会导致 SQL Server 代理或其他 SQL Server 服务发生灾难性故障。
解决方案
要解决此问题,您必须恢复您的 SQL Server 计算机。为此,请使用下列方法之一。这些方法是按优先顺序列出的。
  • 将您的现有安装更新为 SQL Server 2000 虚拟服务器。
  • 从群集中删除 SQL Server 计算机,然后接着将其用作无群集功能的独立服务器。
  • 使用以下 Microsoft 知识库文章中的信息进行格式化和重新安装:
    219264 INF:SQL Server 7.0 群集安装程序的安装顺序

注意:当 SQL Server 7.0 群集上安装了 Veritas Backup Exec 9.0 for Windows Servers 后,就会发生此问题。有关更多信息,请参见下面的网站上提供的 Veritas Technote: 本文中提到的第三方产品由 Microsoft 以外的其他公司提供。对于这些产品的性能或可靠性,Microsoft 不做任何暗示保证或其他形式的保证。
属性

文章 ID:820754 - 上次审阅时间:02/26/2014 23:32:20 - 修订版本: 4.0

  • Microsoft Data Access Components 2.6
  • Microsoft Data Access Components 2.7
  • Microsoft Data Access Components 2.8
  • Microsoft SQL Server 7.0 标准版
  • kbnosurvey kbarchive kbbug KB820754
反馈